PDBEDIT(8)

NAME
pdbedit - manage the SAM database

SYNOPSIS

pdbedit [ -l ] [ -v ] [ -w ] [ -u username ] [ -f fullname ] [ -h homedir ] [ -d drive ] [ -s script ] [ -p profile ] [ -a ] [ -m ] [ -x ] [ -i file ]

DESCRIPTION

This tool is part of the Sambasuite.

The pdbedit program is used to manage the users accounts stored in the sam database and can be run only by root.

The pdbedit tool use the passdb modular interface and is independent from the kind of users database used (currently there are smbpasswd, ldap, nis+ and tdb based and more can be addedd without changing the tool).

There are five main ways to use pdbedit: adding a user account, removing a user account, modifing a user account, listing user accounts, importing users accounts.

OPTIONS

-l  This option list all the user accounts present in the users database. This option prints a list of user/uid pairs separated by the ':' character. Example: pdbedit -l

    		sorce:500:Simo Sorce
    		samba:45:Test User

-v  This option sets the verbose listing format. It will make pdbedit list the users in the database printing out the account fields in a descriptive format. Example: pdbedit -l -v

    		---------------
    		username:       sorce
    		user ID/Group:  500/500
    		user RID/GRID:  2000/2001
    		Full Name:      Simo Sorce
    		Home Directory: \\BERSERKER\sorce
    		HomeDir Drive:  H:
    		Logon Script:   \\BERSERKER\netlogon\sorce.bat
    		Profile Path:   \\BERSERKER\profile
    		---------------
    		username:       samba
    		user ID/Group:  45/45
    		user RID/GRID:  1090/1091
    		Full Name:      Test User
    		Home Directory: \\BERSERKER\samba
    		HomeDir Drive:
    		Logon Script:
    		Profile Path:   \\BERSERKER\profile

-w  This option sets the "smbpasswd" listing format. It will make pdbedit list the users in the database printing out the account fields in a format compatible with the smbpasswd file format. (see the smbpasswd(5)for details) Example: pdbedit -l -w

    		sorce:500:508818B733CE64BEAAD3B435B51404EE:D2A2418EFC466A8A0F6B1DBB5C3DB80C:[UX         ]:LCT-00000000:
    		samba:45:0F2B255F7B67A7A9AAD3B435B51404EE:BC281CE3F53B6A5146629CD4751D3490:[UX         ]:LCT-3BFA1E8D:

-u username
    This option specifies that the username to be used for the operation requested (listing, adding, removing) It is required in add, remove and modify operations and optional in list operations.

-f fullname
    This option can be used while adding or modifing a user account. It will specify the user's full name. Example: -f "Simo Sorce"

-h homedir
    This option can be used while adding or modifing a user account. It will specify the user's home directory network path. Example: -h "\\\\BERSERKER\\sorce"

-d drive
    This option can be used while adding or modifing a user account. It will specify the windows drive letter to be used to map the home directory. Example: -d "H:"

-s script
    This option can be used while adding or modifing a user account. It will specify the user's logon script path. Example: -s "\\\\BERSERKER\\netlogon\\sorce.bat"

-p profile
    This option can be used while adding or modifing a user account. It will specify the user's profile directory. Example: -p "\\\\BERSERKER\\netlogon"

-a  This option is used to add a user into the database. This command need the user name be specified with the -u switch. When adding a new user pdbedit will also ask for the password to be used Example: pdbedit -a -u sorce

    new password:
    		retype new password

-m  This option may only be used in conjunction with the -a option. It will make pdbedit to add a machine trust account instead of a user account (-u username will provide the machine name). Example: pdbedit -a -m -u w2k-wks

-x  This option causes pdbedit to delete an account from the database. It need the username be specified with the -u switch. Example: pdbedit -x -u bob

-i file
    This command is used to import a smbpasswd file into the database. This option will ease migration from the plain smbpasswd file database to more powerful backend databases like tdb and ldap. Example: pdbedit -i /etc/smbpasswd.old

NOTES

This command may be used only by root.

VERSION

This man page is correct for version 2.2 of the Samba suite.

SEE ALSO

smbpasswd(8), samba(7)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The original Samba man pages were written by Karl Auer. The man page sources were converted to YODL format (another excellent piece of Open Source software, available at ftp://ftp.icce.rug.nl/pub/unix/ <URL:ftp://ftp.icce.rug.nl/pub/unix/>) and updated for the Samba 2.0 release by Jeremy Allison. The conversion to DocBook for Samba 2.2 was done by Gerald Carter